package com.yihu.jw.entity.hospital.message;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.*;
import java.util.List;

/**
 * @author zmk
 * @vsrsion 1.0
 * Created at 2019/11/13
 */
@Entity
@Table(name = "base_user_message")
public class BaseUserMessageDO extends UuidIdentityEntityWithOperator {

    /**
     *发送者code
     */
    private String sender;
    /**
     *发送内容
     */
    private String content;

    /**
     * 发送者名字
     */
    private String senderName;

    /**

     *接收者
     */
    private String receiver;

    /**
     * 接收者名称
     */
    private String receiverName;
    /**
     *业务code
     */
    private String relationCode;

    /**
     * 业务类型 1自身留言，2、锦旗留言，3、专家咨询，4、在线复诊
     */
    private Integer relationType;

    /**
     * 业务名称
     */
    private String relationName;


    /**
     *1居民发起留言2回复
     */
    private Integer status;

    /**
     * 删除状态（1正常0删除）
     */
    private Integer del;
    /**
     * 是否匿名1、实名，2、匿名
     */
    private Integer type;
    /**
     * 是否匿名1、已读，2、未读
     */
    private Integer isRead;

    /**
     * 返回锦旗集合
     */
    @Transient
    private List<BaseBannerDO> baseBannerDOS;
    @Transient
    public List<BaseBannerDO> getBaseBannerDOS() {
        return baseBannerDOS;
    }

    public void setBaseBannerDOS(List<BaseBannerDO> baseBannerDOS) {
        this.baseBannerDOS = baseBannerDOS;
    }

    public Integer getIsRead() {
        return isRead;
    }

    public void setIsRead(Integer isRead) {
        this.isRead = isRead;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
    @Transient
    private List<BaseBannerDoctorDO> bannerList;
    @Transient
    public List<BaseBannerDoctorDO> getBannerList() {
        return bannerList;
    }

    public void setBannerList(List<BaseBannerDoctorDO> bannerList) {
        this.bannerList = bannerList;
    }

    @Transient
    private List<BaseUserMsgContentDO> msgList;
    @Transient
    public List<BaseUserMsgContentDO> getMsgList() {
        return msgList;
    }

    public void setMsgList(List<BaseUserMsgContentDO> msgList) {
        this.msgList = msgList;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public void setRelationType(Integer relationType) {
        this.relationType = relationType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public String getSender() {
        return sender;
    }

    public void setSender(String sender) {
        this.sender = sender;
    }

    public String getSenderName() {
        return senderName;
    }

    public void setSenderName(String senderName) {
        this.senderName = senderName;
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver;
    }

    public String getReceiverName() {
        return receiverName;
    }

    public void setReceiverName(String receiverName) {
        this.receiverName = receiverName;
    }

    public String getRelationCode() {
        return relationCode;
    }

    public void setRelationCode(String relationCode) {
        this.relationCode = relationCode;
    }

    public String getRelationName() {
        return relationName;
    }

    public void setRelationName(String relationName) {
        this.relationName = relationName;
    }

    public Integer getRelationType() {
        return relationType;
    }
}
